- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Core
- Node
- Qt 6.7.3 Reference Documentation

# Node QML Type

A base QML type that other types inherit. It cannot be directly created. More...

Import Statement: | import Qt3D.Core 2.7
Inherited By: | AbstractSkeleton, AbstractTextureImage, Component3D, Effect, Entity, FilterKey, FrameGraphNode, Geometry, GeometryView, Joint, KeyboardDevice, RenderPass, RenderState, and RenderTargetOutput

- List of all members, including inherited members

## Properties

- childNodes : list<Node>
- data : list<QtQml::QtObject>

## Detailed Description

## Property Documentation

childNodes : list<Node> `[read-only]`

data : list<QtQml::QtObject> `[default]`